import org.junit.Assert;
import org.junit.Test;

public class FizzBuzzTest {

    @Test
    public void fizzTest() {
        FizzBuzz fb = new FizzBuzz();
        String expectedValue = "Fizz";
        String actualValue = fb.of(3);

        Assert.assertEquals(expectedValue,actualValue);
    }

    @Test
    public void buzzTest() {
        FizzBuzz fb = new FizzBuzz();
        String expectedValue = "Buzz";
        String actualValue = fb.of(5);

        Assert.assertEquals(expectedValue,actualValue);
    }

    @Test
    public void fizzBuzzTest() {
        FizzBuzz fb = new FizzBuzz();
        String expectedValue = "FizzBuzz";
        String actualValue = fb.of(15);

        Assert.assertEquals(expectedValue,actualValue);
    }

    @Test
    public void fizzTest1() {
        FizzBuzz fb = new FizzBuzz();
        String expectedValue = "Fizz";
        String actualValue = fb.of(99);

        Assert.assertEquals(expectedValue,actualValue);
    }

    @Test
    public void buzzTest1() {
        FizzBuzz fb = new FizzBuzz();
        String expectedValue = "Buzz";
        String actualValue = fb.of(100);

        Assert.assertEquals(expectedValue,actualValue);
    }

    @Test
    public void fizzBuzzTest1() {
        FizzBuzz fb = new FizzBuzz();
        String expectedValue = "FizzBuzz";
        String actualValue = fb.of(90);

        Assert.assertEquals(expectedValue,actualValue);
    }

    @Test
    public void failTest() {
        FizzBuzz fb = new FizzBuzz();
        String expectedValue = "98";
        String actualValue = fb.of(98);

        Assert.assertEquals(expectedValue,actualValue);
    }

}
